Score Bulk Call (Deprecated)
Note: The
scoreendpoint is deprecated and is not recommended for new users of the Receptiviti API as of late 2022.
Bulk Call to Scoreβ
POST /v1/score/bulk
Overviewβ
The score endpoint incorporates the same measures and scores as framework, yet organizes the scores in a alternate arrangement, such that 0-1 scores go in dictionary_measures and 0-100 scores go into receptiviti_measures. Use this endpoint to obtain scores for multiple samples of text. The payload consists of an array or list of JSON object.
Limitsβ
- Total payload cannot exceed 10MB
- Number of objects in the array cannot exceed 1,000
- Limited to 10 requests per second per user
Requestβ
An array of JSON objects with the following fields:
| Field | Required | Type | Details |
|---|---|---|---|
content | Yes | String | The text you want to score. This is the only required field and it does not have a default. |
request_id | String | This field can be used if you want to associate an identifier with a piece of text. It will be returned with the response. It does not have a default. |
[Code example removed β see LEGACY_IMPORT_REPORT.md]
Responseβ
Top-level fields:
| Field | Type | Details |
|---|---|---|
plan_usage | Object | Details about how many words have been used and how much of your word limit remains for the current period. |
results | Array of objects | There will be one object for each sample of text in the request. That means for for single-score calls, there will be exactly one object while for bulk-score requests, there will be as many result objects as there were requests. |